package com.iamberry.wechat.core.entity.member;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.Page;
import com.iamberry.wechat.core.entity.PageBean;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * description: 会员信息实休类
 * 	   @author: 张应真
 * @createDate: 2016年4月18日
 */
public class Member implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -1480503773318576718L;
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	private Integer userId;					//会员ID
	private String userOpenid;				//用户openid
	private String userHead;				//用户头像
	private String userNickname;			//用户昵称
	private String userAddr;				//用户区域
	
	private Integer userSex;				//用户性别		default 1; 1:男   2:女   0:未知
	private String userAccountNum;			//用户账号
	private Date userBirthDate;				//生日
	private Date userCreateDate;			//创建时间
	
	private Integer userIdentity;			//会员身份			1:会员   2:微代理
	private Integer userIsFlag;				//关系是否绑定		1:没有2:绑定
	private String userName;				//姓名
	private String userPwd;					//用户密码
	private String userTel;					//用户电话
	
	private String userQrcode;				//二维码
	private Integer userResType;			//来源       		1:默认  	 2:会员	3:商户
	private Integer userStatus;				//用户状态		1:未关注，默认  2:已关注     0:已取消关注
	private Date userSubDate;				//关注/取消时间	（每次扫二维码都会更新）
	private Integer userSurplusIntegral;	//剩余积分
	
	private Integer userUseIntegral;		//已用积分
	private Integer userIncome;				//收入金额，单位为分
	private Integer templateId;				//返利模板id
	private Integer userDealers;			//代理商层级id
	private Integer userIsBought;			//用户是否已经购买过		1：未购买(默认)	2：已购买
	private Page page;						//分页
	private PageBean pageBean;						//分页
	private String userEmail;				//邮箱
	private String numberBarcode;			//条形码
	private String phoneCode;				//手机验证码
	private Integer userIntegral;			//积分
	private Integer userQrcodeType;			//扫描二维码类型

	private  Integer quantityPurchased;		//购买数量
	private  Integer totalConsume; 			//消费金额


	private  String[] ids;						//

	public Integer getUserQrcodeType() {
		return userQrcodeType;
	}

	public void setUserQrcodeType(Integer userQrcodeType) {
		this.userQrcodeType = userQrcodeType;
	}

	public Integer getUserIntegral() {
		return userIntegral;
	}

	public void setUserIntegral(Integer userIntegral) {
		this.userIntegral = userIntegral;
	}

	public String getPhoneCode() {
		return phoneCode;
	}

	public void setPhoneCode(String phoneCode) {
		this.phoneCode = phoneCode;
	}

	public String getNumberBarcode() {
		return numberBarcode;
	}

	public void setNumberBarcode(String numberBarcode) {
		this.numberBarcode = numberBarcode;
	}

	public String getUserEmail() {
		return userEmail;
	}

	public void setUserEmail(String userEmail) {
		this.userEmail = userEmail;
	}

	public Page getPage() {
		return page;
	}
	
	public Integer getUserIncome() {
		return userIncome;
	}

	public void setUserIncome(Integer userIncome) {
		this.userIncome = userIncome;
	}

	public void setPage(Page page) {
		this.page = page;
	}

	public Member() {
		super();
	}

	public String getUserAccountNum() {
		return userAccountNum;
	}

	public String getUserAddr() {
		return userAddr;
	}

	public Date getUserBirthDate() {
		return userBirthDate;
	}

	public Date getUserCreateDate() {
		return userCreateDate;
	}

	public String getUserHead() {
		return userHead;
	}

	public Integer getUserId() {
		return userId;
	}

	public Integer getUserIdentity() {
		return userIdentity;
	}

	public Integer getUserIsFlag() {
		return userIsFlag;
	}

	public String getUserName() {
		return userName;
	}

	public String getUserNickname() {
		return userNickname;
	}

	public String getUserOpenid() {
		return userOpenid;
	}

	public String getUserPwd() {
		return userPwd;
	}
	
	public String getUserTel() {
		return userTel;
	}
	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

	public String getUserQrcode() {
		return userQrcode;
	}
	public Integer getUserResType() {
		return userResType;
	}
	public Integer getUserSex() {
		return userSex;
	}
	public Integer getUserStatus() {
		return userStatus;
	}
	public Date getUserSubDate() {
		return userSubDate;
	}
	public Integer getUserSurplusIntegral() {
		return userSurplusIntegral;
	}
	public Integer getUserUseIntegral() {
		return userUseIntegral;
	}
	public void setUserAccountNum(String userAccountNum) {
		this.userAccountNum = userAccountNum;
	}
	public void setUserAddr(String userAddr) {
		this.userAddr = userAddr;
	}
	public void setUserBirthDate(Date userBirthDate) {
		this.userBirthDate = userBirthDate;
	}
	public void setUserCreateDate(Date userCreateDate) {
		this.userCreateDate = userCreateDate;
	}
	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public void setUserIdentity(Integer userIdentity) {
		this.userIdentity = userIdentity;
	}
	public void setUserIsFlag(Integer userIsFlag) {
		this.userIsFlag = userIsFlag;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}
	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}
	public void setUserPwd(String userPwd) {
		this.userPwd = userPwd;
	}
	public void setUserQrcode(String userQrcode) {
		this.userQrcode = userQrcode;
	}
	public void setUserResType(Integer userResType) {
		this.userResType = userResType;
	}
	public void setUserSex(Integer userSex) {
		this.userSex = userSex;
	}
	public void setUserStatus(Integer userStatus) {
		this.userStatus = userStatus;
	}
	public void setUserSubDate(Date userSubDate) {
		this.userSubDate = userSubDate;
	}
	public void setUserSurplusIntegral(Integer userSurplusIntegral) {
		this.userSurplusIntegral = userSurplusIntegral;
	}
	public void setUserUseIntegral(Integer userUseIntegral) {
		this.userUseIntegral = userUseIntegral;
	}
	public Integer getTemplateId() {
		return templateId;
	}

	public void setTemplateId(Integer templateId) {
		this.templateId = templateId;
	}
	public Integer getUserDealers() {
		return userDealers;
	}
	public void setUserDealers(Integer userDealers) {
		this.userDealers = userDealers;
	}

	public Integer getUserIsBought() {
		return userIsBought;
	}
	public void setUserIsBought(Integer userIsBought) {
		this.userIsBought = userIsBought;
	}

	public Integer getQuantityPurchased() {
		return quantityPurchased;
	}

	public void setQuantityPurchased(Integer quantityPurchased) {
		this.quantityPurchased = quantityPurchased;
	}

	public Integer getTotalConsume() {
		return totalConsume;
	}

	public void setTotalConsume(Integer totalConsume) {
		this.totalConsume = totalConsume;
	}

	public PageBean getPageBean() {
		return pageBean;
	}

	public void setPageBean(PageBean pageBean) {
		this.pageBean = pageBean;
	}

	public String[] getIds() {
		return ids;
	}

	public void setIds(String[] ids) {
		this.ids = ids;
	}

	@Override
	public String toString() {
		return "Member [userId=" + userId + ", userOpenid=" + userOpenid
				+ ", userHead=" + userHead + ", userNickname=" + userNickname
				+ ", userAddr=" + userAddr + ", userSex=" + userSex
				+ ", userAccountNum=" + userAccountNum + ", userBirthDate="
				+ userBirthDate + ", userCreateDate=" + userCreateDate
				+ ", userIdentity=" + userIdentity + ", userIsFlag="
				+ userIsFlag + ", userName=" + userName + ", userPwd="
				+ userPwd + ", userTel=" + userTel + ", userQrcode="
				+ userQrcode + ", userResType=" + userResType + ", userStatus="
				+ userStatus + ", userSubDate=" + userSubDate
				+ ", userSurplusIntegral=" + userSurplusIntegral
				+ ", userUseIntegral=" + userUseIntegral + ", userIncome="
				+ userIncome + ", templateId=" + templateId + ", userDealers="
				+ userDealers + ", userIsBought=" + userIsBought + ", page="
				+ page + "]";
	}
}
